*{
	padding: 0;
	margin: 0;
	box-sizing: border-box;
	font-family: 'Poppins', sans-serif;
	text-decoration: none;
	list-style: none;
}
:root{
	--bg-color: #222327;
	--text-color: #fff;
	--main-color: #29fd53;
}
body{
	min-height: 100vh;
	background: var(--bg-color);
	color: var(--text-color);
}
header{
	position: fixed;
	width: 100%;
	top: 0;
	right: 0;
	z-index: 1000;
	display: flex;
	align-items: center;
	justify-content: space-between;
	background: var(--bg-color);
	padding: 28px 12%;
	transition: all .50s ease;
}
.logo{
	display: flex;
	align-items: center;
}
.logo i{
	color: var(--main-color);
	font-size: 28px;
	margin-right: 3px;
}
.logo span{
	color: var(--text-color);
	font-size: 1.7rem;
	font-weight: 600;
}
.navbar{
	display: flex;
}
.navbar a{
	color: var(--text-color);
	font-size: 1.1rem;
	font-weight: 500;
	padding: 5px 0;
	margin: 0px 30px;
	transition: all .50s ease;
}
.navbar a:hover{
	color: var(--main-color);
}
.navbar a.active{
	color: var(--main-color);
}
.main{
	display: flex;
	align-items: center;
}
.main a{
	margin-right: 25px;
	margin-left: 10px;
	color: var(--text-color);
	font-size: 1.1rem;
	font-weight: 500;
	transition: all .50s ease;
}
.user{
	display: flex;
	align-items: center;
}
.user i{
	color: var(--main-color);
	font-size: 28px;
	margin-right: 7px;
}
.main a:hover{
	color: var(--main-color);
}
#menu-icon{
	font-size: 35px;
	color: var(--text-color);
	cursor: pointer;
	z-index: 10001;
	display: none;
}


@media (max-width: 1280px){
	header{
		padding: 14px 2%;
		transition: .2s;
	}
	.navbar a{
		padding: 5px 0;
		margin: 0px 20px;
	}
}

@media (max-width: 1120px){
	#menu-icon{
		display: block;
	}
	.navbar{
		position: absolute;
		top: 100%;
		right: -100%;
		width: 270px;
		background: var(--main-color);
		display: flex;
		flex-direction: column;
		justify-content: flex-start;
		border-radius: 10px;
		transition: all .50s ease;
	}
	.navbar a{
		display: block;
		margin: 9px 0;
		padding: 0px 25px;
		transition: all .50s ease;
	}
	.navbar a:hover{
		color: var(--text-color);
		transform: translateY(5px);
	}
	.navbar a.active{
		color: var(--text-color);
	}
	.navbar.open{
		right: 2%;
	}
}

.fixed{
    position: fixed;
}

section{
    margin-top: 100px;
}

footer{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 80px;
    margin-bottom: 80px;
}

footer .copy{
    padding: 20px;
}

footer .imagefoot{
    padding: 20px;
    width: 5%;
}

.formbg{
    margin-top: 100px;
    position: static;
    background-color: #8975ff;
    margin-bottom: 100px;
    margin-left: 100px;
    height: auto;
    width: 435px;
    padding: 50px;
    width: 435px;
    border-radius: 1.25rem;
    display: inline-block;
  }
  
  /* 
  margin-left: 100px; */
  
  form .formulaire{
    margin-bottom: 30px;
  }
  
  form .formulaire .boite{
    margin-top: 10px;
    display: flex;
    flex-direction: column;
    position: relative;
  }
  
  form .formulaire .boite input{
    margin-top: 5px;
    padding: 10px 5px 10px 30px;
    border: 1px solid darkslateblue;
    border-radius: 1.25rem;
    outline-color: rgb(108, 96, 184);
    background:darkslateblue;
  }
  
  form .formulaire .boite i{
    position: absolute;
    left: 0;top: 35px;
    padding: 10px 9px;
    color: rgb(108, 96, 184);
  }
  
  form .formulaire .text{
    height: 200px;
    display: flex;
    flex-direction: column;
  }
  
  form .formulaire .text textarea{
    margin-top: 5px;
    border: 1px solid darkslateblue;
    padding: 10px;
    border-radius: 1.25rem;
    outline-color: rgb(150, 134, 255);
    background:darkslateblue;
    resize: none;
    height: 70%;
  }
  
  .btnform button{
    background-color: darkslateblue;
    color: white;
    font-size: 20px;
    border: none;
    border-radius: 1.25rem;
    padding: 10px 20px;
    outline: none;
    cursor: pointer;
    transition: 0.3s;
  }
  
  form .btnform button:hover{
    transform: scale(1.05);
    transition: 0.3s;
  }
  
  .btnform a{
    background-color: #32438c;
    color: white;
    font-size: 20px;
    border: none;
    border-radius: 1.25rem;
    padding: 10px 20px;
    outline: none;
    cursor: pointer;
    transition: 0.3s;
  }
  
  .btnform a:hover{
    color: white;
    background-color: #233064;
    transition: 0.3s;
  }

  .contactlist{
    margin-top: 100px;
    position: static;
    background-color: darkslateblue;
    margin-bottom: 100px;
    padding: 50px;
    width: 435px;
    border-radius: 1.25rem;
  }

.paralaxe{
    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.onimg{
    position: absolute;
    z-index: 1;
    display: flex;
    align-items: center;    
}

.text{
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-left: 10px;
}

.text .one{
    font-size: 20px;
}

.text .two{
    font-size: 28px;
}

.slider-1 {
  max-width: 80%;
  margin: 100px auto;
  overflow: hidden;
  /* border: 1px solid #f1f1f1; */

}
.slider-1 .slider {
  animation: slider-1 18s infinite ease-in-out;
  display: flex;

  /* Si on veut faire glisser vers la droite */
  /* Il faut aussi changer l'animation(transform) en valeurs positives */
  /* flex-direction: row-reverse; */
}
.slider-1 img {
  background: #000;
  flex-shrink: 0;
  width: 100%;
  font-size: 45px;
  color: #f1f1f1;
}


/* 
   5% par transition, nombre choisi arbitrairement.
   reste divisé par nb de pauses
   80(%) / 4 = 20(%) par pause
*/

@keyframes slider-1 {
  0%,
  16% {
    transform: translateX(0);
  }
  21%,
  37% {
    transform: translateX(-100%);
  }
  42%,
  58% {
    transform: translateX(-200%);
  }
  63%,
  79% {
    transform: translateX(-300%);
  }
  84%,
  98% {
    transform: translateX(-400%);
  }
  100% {
    transform: translateX(-500%);
  }
} 